Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-details
Wallet - Net Worth Details
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp"
    }
  ],
  "netWorth": "11839478.53162622",
  "requestedTimestamp": "2025-07-31T04:50:06.303Z",
  "resolvedTimestamp": "2025-07-31T04:50:06.475Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
hours
integer<int32>
default:0

DTO.WALLET.NET_WORTH_DETAILS.HOURS (0=realtime, 1-720=historical snapshot, default 0)

Response

200 - application/json

Successful response

Paginated wallet net-worth details (mirrors TS WalletNetWorthDetailsPage).

data
object[]
required
netWorth
string
required
Example:

"11839478.53162622"

requestedTimestamp
string
required
Example:

"2025-07-31T04:50:06.303Z"

resolvedTimestamp
string
required
Example:

"2025-07-31T04:50:06.475Z"

walletAddress
string
required
Example:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"

endCursor
string | null
Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean
Example:

false

hasPrev
boolean
Example:

false

startCursor
string | null
Example:

"eyJpZCI6InN0YXJ0In0="